package de.ozgcloud.xta.test.app.model;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

import lombok.Builder;

@Builder
public record XtaLookupServiceRequest(
		@NotBlank String service,
		@NotNull @Valid XtaIdentifier readerIdentifier,
		@NotNull @Valid XtaIdentifier authorIdentifier
) {
}
