package de.ozgcloud.xta.test.app.model;

import java.util.List;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;

import lombok.Builder;

@Builder(toBuilder = true)
public record XtaMessage(
		@NotNull @Valid XtaMessageMetaData metaData,
		@NotNull @Valid XtaFile messageFile,
		@NotNull List<@Valid XtaFile> attachmentFiles
) {
}
