package de.ozgcloud.xta.test.app.model;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;

import lombok.Builder;

@Builder
public record XtaMessageMetaDataListingRequest(
		@NotNull @Valid XtaIdentifier clientIdentifier,
		@Positive int maxListItems
) {
}
