
package genv3.eu.osci.ws.x2014.x10.transport;

import javax.xml.datatype.XMLGregorianCalendar;
import jakarta.annotation.Generated;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.cxf.xjc.runtime.JAXBToStringStyle;


/**
 * Message delivery time instants, quality and receipts requested
 * 
 * <p>Java class for DeliveryAttributesType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryAttributesType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Origin" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="InitialSend" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="ObsoleteAfter" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/&gt;
 *         &lt;element name="Delivery" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="InitialFetch" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="Reception" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="ServiceQuality" type="{http://www.osci.eu/ws/2014/10/transport}NonEmptyStringType" minOccurs="0"/&gt;
 *         &lt;element name="ReceiptRequests" type="{http://www.osci.eu/ws/2014/10/transport}ReceiptRequestType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryAttributesType", propOrder = {
    "origin",
    "initialSend",
    "notBefore",
    "obsoleteAfter",
    "delivery",
    "initialFetch",
    "reception",
    "serviceQuality",
    "receiptRequests"
})
@Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
public class DeliveryAttributesType {

    @XmlElement(name = "Origin")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar origin;
    @XmlElement(name = "InitialSend")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar initialSend;
    @XmlElement(name = "NotBefore")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar notBefore;
    @XmlElement(name = "ObsoleteAfter")
    @XmlSchemaType(name = "date")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar obsoleteAfter;
    @XmlElement(name = "Delivery")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar delivery;
    @XmlElement(name = "InitialFetch")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar initialFetch;
    @XmlElement(name = "Reception")
    @XmlSchemaType(name = "dateTime")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected XMLGregorianCalendar reception;
    @XmlElement(name = "ServiceQuality")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected String serviceQuality;
    @XmlElement(name = "ReceiptRequests")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected ReceiptRequestType receiptRequests;

    /**
     * Gets the value of the origin property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getOrigin() {
        return origin;
    }

    /**
     * Sets the value of the origin property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setOrigin(XMLGregorianCalendar value) {
        this.origin = value;
    }

    /**
     * Gets the value of the initialSend property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getInitialSend() {
        return initialSend;
    }

    /**
     * Sets the value of the initialSend property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setInitialSend(XMLGregorianCalendar value) {
        this.initialSend = value;
    }

    /**
     * Gets the value of the notBefore property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getNotBefore() {
        return notBefore;
    }

    /**
     * Sets the value of the notBefore property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setNotBefore(XMLGregorianCalendar value) {
        this.notBefore = value;
    }

    /**
     * Gets the value of the obsoleteAfter property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getObsoleteAfter() {
        return obsoleteAfter;
    }

    /**
     * Sets the value of the obsoleteAfter property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setObsoleteAfter(XMLGregorianCalendar value) {
        this.obsoleteAfter = value;
    }

    /**
     * Gets the value of the delivery property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getDelivery() {
        return delivery;
    }

    /**
     * Sets the value of the delivery property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setDelivery(XMLGregorianCalendar value) {
        this.delivery = value;
    }

    /**
     * Gets the value of the initialFetch property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getInitialFetch() {
        return initialFetch;
    }

    /**
     * Sets the value of the initialFetch property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setInitialFetch(XMLGregorianCalendar value) {
        this.initialFetch = value;
    }

    /**
     * Gets the value of the reception property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public XMLGregorianCalendar getReception() {
        return reception;
    }

    /**
     * Sets the value of the reception property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setReception(XMLGregorianCalendar value) {
        this.reception = value;
    }

    /**
     * Gets the value of the serviceQuality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public String getServiceQuality() {
        return serviceQuality;
    }

    /**
     * Sets the value of the serviceQuality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setServiceQuality(String value) {
        this.serviceQuality = value;
    }

    /**
     * Gets the value of the receiptRequests property.
     * 
     * @return
     *     possible object is
     *     {@link ReceiptRequestType }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public ReceiptRequestType getReceiptRequests() {
        return receiptRequests;
    }

    /**
     * Sets the value of the receiptRequests property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReceiptRequestType }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setReceiptRequests(ReceiptRequestType value) {
        this.receiptRequests = value;
    }

    /**
     * Generates a String representation of the contents of this type.
     * This is an extension method, produced by the 'ts' xjc plugin
     * 
     */
    @Override
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public String toString() {
        return ToStringBuilder.reflectionToString(this, JAXBToStringStyle.DEFAULT_STYLE);
    }

}
