
package genv3.de.xoev.transport.xta.x211;

import java.util.ArrayList;
import java.util.List;
import jakarta.activation.DataHandler;
import jakarta.annotation.Generated;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlMimeType;
import jakarta.xml.bind.annotation.XmlType;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.cxf.xjc.runtime.JAXBToStringStyle;


/**
 * Das Ergebnis zu einer Dienstanfrage, das die Information enthält, ob der Dienst angeboten wird. Außerdem sind die nötigen technischen Paramter für die Erreichbarkeit vorhanden.
 * 
 * <p>Java class for LookupServiceResultType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LookupServiceResultType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://xoev.de/transport/xta/211}LookupServiceType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IsServiceAvailableValue" type="{http://xoev.de/transport/xta/211}IsServiceAvailableValueType"/&gt;
 *         &lt;element name="ServiceParameter" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="ParameterType" type="{http://xoev.de/transport/xta/211}Code.ServiceParameterType"/&gt;
 *                   &lt;element name="Resource" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LookupServiceResultType", propOrder = {
    "isServiceAvailableValue",
    "serviceParameter"
})
@Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
public class LookupServiceResultType
    extends LookupServiceType
{

    @XmlElement(name = "IsServiceAvailableValue", required = true)
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected IsServiceAvailableValueType isServiceAvailableValue = new IsServiceAvailableValueType();
    @XmlElement(name = "ServiceParameter")
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    protected List<LookupServiceResultType.ServiceParameter> serviceParameter;

    /**
     * Gets the value of the isServiceAvailableValue property.
     * 
     * @return
     *     possible object is
     *     {@link IsServiceAvailableValueType }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public IsServiceAvailableValueType getIsServiceAvailableValue() {
        return isServiceAvailableValue;
    }

    /**
     * Sets the value of the isServiceAvailableValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link IsServiceAvailableValueType }
     *     
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public void setIsServiceAvailableValue(IsServiceAvailableValueType value) {
        this.isServiceAvailableValue = value;
    }

    /**
     * Gets the value of the serviceParameter property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a <CODE>set</CODE> method for the serviceParameter property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getServiceParameter().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LookupServiceResultType.ServiceParameter }
     * 
     * 
     */
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public List<LookupServiceResultType.ServiceParameter> getServiceParameter() {
        if (serviceParameter == null) {
            serviceParameter = new ArrayList<LookupServiceResultType.ServiceParameter>();
        }
        return this.serviceParameter;
    }

    /**
     * Generates a String representation of the contents of this type.
     * This is an extension method, produced by the 'ts' xjc plugin
     * 
     */
    @Override
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public String toString() {
        return ToStringBuilder.reflectionToString(this, JAXBToStringStyle.DEFAULT_STYLE);
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="ParameterType" type="{http://xoev.de/transport/xta/211}Code.ServiceParameterType"/&gt;
     *         &lt;element name="Resource" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "parameterType",
        "resource"
    })
    @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
    public static class ServiceParameter {

        @XmlElement(name = "ParameterType", required = true)
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        protected CodeServiceParameterType parameterType = new CodeServiceParameterType();
        @XmlElement(name = "Resource", required = true)
        @XmlMimeType("application/octet-stream")
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        protected DataHandler resource;

        /**
         * Gets the value of the parameterType property.
         * 
         * @return
         *     possible object is
         *     {@link CodeServiceParameterType }
         *     
         */
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        public CodeServiceParameterType getParameterType() {
            return parameterType;
        }

        /**
         * Sets the value of the parameterType property.
         * 
         * @param value
         *     allowed object is
         *     {@link CodeServiceParameterType }
         *     
         */
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        public void setParameterType(CodeServiceParameterType value) {
            this.parameterType = value;
        }

        /**
         * Gets the value of the resource property.
         * 
         * @return
         *     possible object is
         *     {@link DataHandler }
         *     
         */
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        public DataHandler getResource() {
            return resource;
        }

        /**
         * Sets the value of the resource property.
         * 
         * @param value
         *     allowed object is
         *     {@link DataHandler }
         *     
         */
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        public void setResource(DataHandler value) {
            this.resource = value;
        }

        /**
         * Generates a String representation of the contents of this type.
         * This is an extension method, produced by the 'ts' xjc plugin
         * 
         */
        @Override
        @Generated(value = "com.sun.tools.xjc.Driver", comments = "JAXB RI v3.0.2", date = "2025-04-04T11:28:04Z")
        public String toString() {
            return ToStringBuilder.reflectionToString(this, JAXBToStringStyle.DEFAULT_STYLE);
        }

    }

}
